ROSEGARDEN-AUDIOFILE-IMPORTER(1)

NAME
rosegarden-audiofile-importer - Helper application to convert and import audio files for Rosegarden.

SYNOPSIS
rosegarden-audiofile-importer -t [<version>] rosegarden-audiofile-importer --conftest [<version>] rosegarden-audiofile-importer -l [<version>] rosegarden-audiofile-importer [-r <rate>] -w <inputfile> rosegarden-audiofile-importer [-r <rate>] -c <inputfile> <outputfile>

OPTIONS
-t [<version>], --conftest [<version>] Exit successfully if the importer is available and working [and is of at least version <version>]. If some of the required helper applications are missing, also print to stdout a line saying "Required: application1, application2", listing the missing programs. -l [<version>] List known file extensions (e.g. ogg wav flac). Return code is same as for -t (so can combine two calls into one) -r <rate> Test whether any work is needed to convert the input, either because it isn't in a Rosegarden-compatible format or because its samplerate differs from <rate>. Exit successfully if no work is required; return error code 2 if conversion required, 3 if resampling required, 4 if both required, 1 for other error.

DESCRIPTION
Helper application to convert and import audio files for Rosegarden. Can take audio files of various kinds as input, always produces WAV files that are compatible with Rosegarden as output. Not actually specific to Rosegarden in any way, except that Rosegarden needs to know it can rely on its presence and calling interface.

SEE ALSO
     rosegarden(1), rosegarden-lilypondview(1), rosegarden-project-page(1)